POST   checks/generic/{checkId}/results

Gets generic check results in json format.

URL Parameters

NameDescription
checkId

Check identifier. Type: numeric.

Remarks


The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.

Request example and description

curl --request POST "https://api-asm1.apica.io/v3/checks/generic/12345/results?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{
  "filter": {
    "range": {
      "mostrecent": 10,
      "milliseconds_utc": [
        1376980667000,
        1376980667001
      ],
      "period": {
        "from_utc": "2013-08-20T13:32:08",
        "to_utc": "2013-08-21T13:32:08"
      },
      "result_ids": [
        "066c0520-c1fe-4fbb-be9e-dad17ff40c9f",
        "400abbb8-4755-4677-92fb-a11b1f1acf78",
        "c8be46a1-38af-4d51-a0f0-f0fe178edd3b"
      ]
    }
  }
}"
NameType Required Description
filterObjectYes

The filter section defines the criteria for selecting the check results.

rangeObjectYes

This section allows to define the aggregate range of the results by combining different filters. It must contain at least one filter.

mostrecentIntegerNo

Number of most recent results.

milliseconds_utcArrayNo

Array of timestamps associated with results. Each item is represented by a UNIX Epoch timestamp (milliseconds after 1970).

periodObjectNo

The period section defines the date range to obtain results for.

from_utcDateTimeYes

Starting timestamp (in UTC) for the date range.

to_utcDateTimeYes

Ending timestamp (in UTC) for the date range.

result_idsArrayNo

Array of result identifiers to specific results.

Response body model example and description

{
  "check_id": 1,
  "check_results": [
    {
      "attempts": 1,
      "result_code": 1,
      "timestamp_utc": "2024-09-27T11:29:48",
      "severity": "sample string 3",
      "value": 1,
      "resultId": "5ac5149e-5c85-4e79-b269-7ce533ca659d",
      "result": {}
    },
    {
      "attempts": 1,
      "result_code": 1,
      "timestamp_utc": "2024-09-27T11:29:48",
      "severity": "sample string 3",
      "value": 1,
      "resultId": "743f7ecd-61c7-4825-87db-cb12266ddd22",
      "result": {}
    },
    {
      "attempts": 1,
      "result_code": 1,
      "timestamp_utc": "2024-09-27T11:29:48",
      "severity": "sample string 3",
      "value": 1,
      "resultId": "158aaea2-ed0a-41fd-b164-b364d548ae89",
      "result": {}
    }
  ]
}
NameType Description
check_idInteger

The check identifier.

check_resultsArray

Check results.

attemptsInteger

The number of attempts.

result_codeInteger

The result code.

timestamp_utcDateTime

The result timestamp in UTC.

severityString

The result severity.

valueInteger

The result value.

resultIdGuid

The result identifier.

resultObject

The custom result data in json format.